# std::basic_streambuf::getloc

From cppreference.com
< cpp‎ | io‎ | basic streambuf

std::locale getloc() const; |  |

Returns the associated locale.

The associated locale is the value supplied to pubimbue() on the last call, or, if that function has not been called, the value of the global locale (std::locale) at the time of the construction of the streambuf.

### Parameters

(none)

### Return value

The associated locale.

### Example

| This section is incomplete Reason: no example

### See also

pubimbue | invokes imbue() (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_streambuf/getloc&oldid=64235"
Category:

- Todo no example